# tsviewer **[WIP]**
## **WARNING** This API is not usable ATM

A REST API made for TS3 Viewer.

# Features
## Config
The config file is generated automatically on first startup.
```json
{
    "ip": "127.0.0.1",              // Server IP
    "port": 10011,                  // Dataquery Port
    "user": {
        "name": "serveradmin",      // Username
        "password": ""              // Password
    },
    "server": {
        "port": 9987                // Port of the target server
    }
}
```
## URL-Parameter
| Name       | Type     | Description              |
| ---------- | -------- | ------------------------ |
| `pretty`   | `bool`   | pretty-prints JSON       |
| `envelope` | `bool`   | wraps JSON in data array |
## Channels
- **`GET`** `/v1/channels/:id`
- **`GET`** `/v1/channels`
```json
{
    "databaseId": 1,
    "channelId": 1,
    "nickname": "serveradmin from 127.0.0.1:58359",
    "type": 1,
    "away": false,
    "awayMessage": ""
}
```
## Clients
- **`GET`** `/v1/clients/:id`
- **`GET`** `/v1/clients/`
```json
{
    "id": 1,
    "subchannels": [
        ... (contains all subchannel)
    ],
    "name": "main1",
    "totalClients": 0,
    "neededSubscribePower": 0
}
```
## Server
- **`GET`** `/v1/server/info`
```json
{
    "name": "TeamSpeak ]I[ Server",
    "status": "online",
    "version": "3.5.1 [Build: 1545076855]",
    "welcomeMessage": "Welcome to TeamSpeak, check [URL]www.teamspeak.com[/URL] for latest information",
    "maxClients": 32,
    "clientsOnline": 2,
    "reservedSlots": 0,
    "uptime": 5976,
    "totalPing": 0,
    "minAndroidVersion": 1502275280,
    "minClientVersion": 1513163251,
    "miniOSVersion": 1502275280
}
```
